<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.poifs.dev (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.poifs.dev (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/crypt/xor/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/poifs/eventfilesystem/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/dev/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.poifs.dev</h1>
    <div class="docSummary">
        <div class="block">DEV package serves two purposes.</div>
    </div>
    <p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                                            title="interface in org.apache.poi.poifs.dev">POIFSViewable</a></td>
                    <td class="colLast">
                        <div class="block">Interface for a drill-down viewable object.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/dev/POIFSDump.html"
                                            title="class in org.apache.poi.poifs.dev">POIFSDump</a></td>
                    <td class="colLast">
                        <div class="block">Dump internal structure of a OLE2 file into file system</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/dev/POIFSLister.html"
                                            title="class in org.apache.poi.poifs.dev">POIFSLister</a></td>
                    <td class="colLast">
                        <div class="block">A lister of the entries in POIFS files.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/dev/POIFSViewEngine.html"
                                            title="class in org.apache.poi.poifs.dev">POIFSViewEngine</a></td>
                    <td class="colLast">
                        <div class="block">This class contains methods used to inspect POIFSViewable objects</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/dev/POIFSViewer.html"
                                            title="class in org.apache.poi.poifs.dev">POIFSViewer</a></td>
                    <td class="colLast">
                        <div class="block">A simple viewer for POIFS files</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
    <a name="package.description">
        <!--   -->
    </a>
    <h2 title="Package org.apache.poi.poifs.dev Description">Package org.apache.poi.poifs.dev Description</h2>
    <div class="block">DEV package serves two purposes.

        <ol>
            <li>Examples for how to use POIFS</li>
            <li>tools for developing and validating POIFS</li>
        </ol>
    </div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/crypt/xor/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/poifs/eventfilesystem/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/dev/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
